# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:56:44 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	NULL
Summary:	Crypt::NULL Perl module - NULL Encryption alghorithm
Summary(pl):	Modu Perla Crypt::NULL - algorytm szyfrowania NULL
Name:		perl-Crypt-NULL
Version:	1.02
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The NULL Encryption Algorithm is a symmetric block cipher described in
RFC 2410 by Rob Glenn and Stephen Kent. This module implements NULL
encryption. It supports the Crypt::CBC interface.

%description -l pl
Algorytm kodowania NULL jest symetrycznym szyfrem blokowym opisanym w
RFC 2410 przez Roba Glenna i Stephena Kenta. Ten modu jest
implementacj kodowania NULL. Obsuguje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Crypt/NULL.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-NULL.spec,v $
Revision 1.3.2.1  2003/03/13 00:56:44  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:37:43  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:29:00  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/30 22:07:54  qboosh
- new

